name:                 pretty
version:              1.1.3.6
visibility:           public
id:                   pretty-1.1.3.6-inplace
key:                  pretty-1.1.3.6-inplace
license:              BSD-3-Clause
maintainer:           David Terei <code@davidterei.com>
stability:            Stable
homepage:             http://github.com/haskell/pretty
synopsis:             Pretty-printing library
description:
    This package contains a pretty-printing library, a set of API's
    that provides a way to easily print out text in a consistent
    format of your choosing. This is useful for compilers and related
    tools.

    This library was originally designed by John Hughes's and has since
    been heavily modified by Simon Peyton Jones.

category:             Text
abi:                  75ee110580c7e2661235820379770635
exposed:              True
exposed-modules:
    Text.PrettyPrint Text.PrettyPrint.Annotated
    Text.PrettyPrint.Annotated.HughesPJ
    Text.PrettyPrint.Annotated.HughesPJClass Text.PrettyPrint.HughesPJ
    Text.PrettyPrint.HughesPJClass

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/pretty-1.1.3.6-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/pretty-1.1.3.6-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/pretty-1.1.3.6-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:             ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/pretty-1.1.3.6
hs-libraries:         HSpretty-1.1.3.6-inplace
depends:
    base-4.20.0.0-inplace deepseq-1.5.0.0-inplace
    ghc-prim-0.11.0-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/pretty-1.1.3.6-inplace/pretty.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/pretty-1.1.3.6-inplace"
